@charset "UTF-8";
h4,
.h4 {
  font-size: 1.333rem;
  line-height: calc(2px + 2ex + 2px);
  margin-bottom: 0.65em;
  font-size: clamp(1rem,
                4.333vw + 1rem,
                1.333rem);
}

h3,
.h3 {
  font-size: 1.776889rem;
  line-height: calc(2px + 2ex + 2px);
  margin-bottom: 0.65em;
  font-size: clamp(1.19051563rem,
                4.58637337vw + 1rem,
                1.776889rem);
}

h2,
.h2 {
  font-size: 2.368593037rem;
  line-height: calc(2px + 2ex + 2px);
  margin-bottom: 0.65em;
  font-size: clamp(1.5869573348rem,
                4.7816357022vw + 1rem,
                2.368593037rem);
}

h1,
.h1 {
  font-size: 3.1573345183rem;
  line-height: calc(2px + 2ex + 2px);
  margin-bottom: 0.65em;
  font-size: clamp(2.1154141273rem,
                5.041920391vw + 1rem,
                3.1573345183rem);
}

p,
li,
h1,
h2,
h3,
h4 {
  word-break: break-word;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
      hyphens: auto;
  margin-top: 0;
}

* {
  box-sizing: border-box;
}

body {
  font-size: 1rem;
  font-family: sans-serif;
  line-height: 1.5;
}

/* The color system, using variables */
:root {
  --text-color-primary: #20295b !important;
  --text-color-medium: #3f51b5 !important;
  --fore-color-primary: white !important;
  --bg-color-primary: #20295b !important;
  --fore-color-medium: white !important;
  --bg-color-medium: #3f51b5 !important;
  --fore-color-light: black !important;
  --bg-color-light: #f3f4fb !important;
  --fore-color-secondary: #04FF00 !important;
  --bg-color-secondary: #102a3a !important;
  --border-color-primary: #20295b !important;
  --border-color-medium: #3f51b5 !important;
}

.color-primary,
.hover-color-primary:hover {
  color: var(--fore-color-primary);
  background-color: var(--bg-color-primary);
}

.color-medium,
.hover-color-medium:hover {
  color: var(--fore-color-medium);
  background-color: var(--bg-color-medium);
}

.color-light,
.hover-color-light:hover {
  color: var(--fore-color-light);
  background-color: var(--bg-color-light);
}

.text-color-primary {
  color: var(--text-color-primary);
}

.text-color-medium {
  color: var(--text-color-medium);
}

.border-color-primary {
  border-color: var(--border-color-primary);
}

.border-color-medium {
  border-color: var(--border-color-medium);
}

.color-secondary,
.hover-color-secondary:hover {
  color: var(--fore-color-secondary);
  background-color: var(--bg-color-secondary);
}

.color-error {
  color: white;
  background-color: red;
}

.color-warning {
  color: black;
  background-color: yellow;
}

.color-success {
  color: black;
  background-color: #04FF00;
}

.container {
  padding: 0em 16px;
}

article {
  max-inline-size: 90ch;
}

btn-primary {
  color: var(--fore-color-primary) !important;
  background-color: var(--bg-color-primary) !important;
  border-radius: 8px;
  border: none;
  display: inline-block;
  padding: 8px 16px;
  vertical-align: middle;
  overflow: hidden;
  text-decoration: none;
  text-align: center;
  cursor: pointer;
  white-space: nowrap;
}

btn-primary:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

btn-primary {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

btn-primary:disabled {
  cursor: not-allowed;
  opacity: 0.3;
}

btn-primary.w3-disabled:hover,
btn-primary:disabled:hover {
  box-shadow: none;
}

a[href] {
  color: var(--text-color-medium);
}

.xref {
  font-weight: 550;
  text-decoration: none;
}

.selfref {
  text-decoration: none;
}

code {
  color: red;
  font-family: monospace;
  font-weight: normal;
}

blockquote {
  max-inline-size: 70ch;
  line-height: 2;
  background: #f9f9f9;
  border-left: 5px solid #ccc;
  margin: 1.5em 1.5rem;
  padding: 0.5em 10px;
  quotes: "“" "”" "‘" "’";
}

blockquote:before {
  color: #ccc;
  content: open-quote;
  font-size: 4em;
  line-height: 0.1em;
  margin-right: 0.1em;
  vertical-align: -0.4em;
}

blockquote p {
  display: inline;
  text-indent: 1rem;
}

hgroup > h1,
hgroup > h2,
hgroup > h3,
hgroup > h4,
hgroup > h5,
hgroup > h6 {
  margin-bottom: 0px;
}

hgroup > p {
  margin-top: 0px;
  font-size: 1.3rem;
  color: dimgrey;
}

dl > dt {
  font-weight: bolder;
}

dl dd,
dl p {
  margin-top: 0px;
  margin-bottom: 1rem;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  display: table;
}

table {
  border: 1px solid #ccc;
}

table tr {
  border-bottom: 1px solid #ddd;
}

table tr:nth-child(odd) {
  background-color: #fff;
}

table tr:nth-child(even) {
  background-color: #f1f1f1;
}

table td,
table th {
  padding: 8px 8px;
  display: table-cell;
  text-align: left;
  vertical-align: top;
}

table th:first-child,
table td:first-child {
  padding-left: 16px;
}

table > thead th {
  color: var(--fore-color-primary) !important;
  background-color: var(--bg-color-primary) !important;
}

table {
  box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.2), 0 4px 20px 0 rgba(0, 0, 0, 0.19);
}

@media (min-width: 601px) {
  table {
    margin: auto;
    width: 90%;
  }
}
article > ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

article > ul > li > :first-child {
  text-indent: -1rem;
  margin-left: 1rem;
}

article > ul > li > :not(first-child) {
  text-indent: 0;
  margin-left: 1rem;
}